Hello, this morning I was trying to access my app on my computer, but,
when I initialize the server and access localhost:3000, this message
shows up:

ActiveRecord::ConnectionNotEstablished

So, I try to access via rails console, but again, another error:

felipe@Felipe:~/rails_projects/simple_cms$ rails console
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/bundler-1.0.21/lib/bundler/rubygems_integration.rb:143:in
`block in replace_gem': Please install the mysql adapter: `gem install
activerecord-mysql-adapter` (mysql is not part of the bundle. Add it to
Gemfile.) (LoadError)
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activerecord-3.2.0/lib/active_record/connection_adapters/mysql_adapter.rb:5:in
`<top (required)>'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activesupport-3.2.0/lib/active_support/dependencies.rb:251:in
`require'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activesupport-3.2.0/lib/active_support/dependencies.rb:251:in
`block in require'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activesupport-3.2.0/lib/active_support/dependencies.rb:236:in
`load_dependency'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activesupport-3.2.0/lib/active_support/dependencies.rb:251:in
`require'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activerecord-3.2.0/lib/active_record/connection_adapters/abstract/connection_specification.rb:48:in
`resolve_hash_connection'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activerecord-3.2.0/lib/active_record/connection_adapters/abstract/connection_specification.rb:39:in
`resolve_string_connection'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activerecord-3.2.0/lib/active_record/connection_adapters/abstract/connection_specification.rb:23:in
`spec'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activerecord-3.2.0/lib/active_record/connection_adapters/abstract/connection_specification.rb:127:in
`establish_connection'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activerecord-3.2.0/lib/active_record/railtie.rb:76:in
`block (2 levels) in <class:Railtie>'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activesupport-3.2.0/lib/active_support/lazy_load_hooks.rb:36:in
`instance_eval'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activesupport-3.2.0/lib/active_support/lazy_load_hooks.rb:36:in
`execute_hook'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activesupport-3.2.0/lib/active_support/lazy_load_hooks.rb:43:in
`block in run_load_hooks'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activesupport-3.2.0/lib/active_support/lazy_load_hooks.rb:42:in
`each'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activesupport-3.2.0/lib/active_support/lazy_load_hooks.rb:42:in
`run_load_hooks'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activerecord-3.2.0/lib/active_record/base.rb:709:in
`<top (required)>'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/activerecord-3.2.0/lib/active_record/railtie.rb:41:in
`block in <class:Railtie>'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/railtie.rb:179:in
`call'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/railtie.rb:179:in
`block in load_console'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/railtie.rb:179:in
`each'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/railtie.rb:179:in
`load_console'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/engine.rb:429:in
`block in load_console'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/application/railties.rb:8:in
`each'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/application/railties.rb:8:in
`all'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/engine.rb:429:in
`load_console'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/application.rb:153:in
`load_console'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/commands/console.rb:27:in
`start'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/commands/console.rb:8:in
`start'
from
/home/felipe/.rvm/gems/ruby-1.9.3-p0/gems/railties-3.2.0/lib/rails/commands.rb:41:in
`<top (required)>'
from script/rails:6:in `require'
from script/rails:6:in `<main>'

Some days ago, I was using normally, I can't say what is happening.

Thank you.

--
Posted via http://www.ruby-forum.com/.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedFeb 6, '12 at 11:49a
activeFeb 6, '12 at 11:49a
posts1
users1
websiterubyonrails.org
irc#RubyOnRails

1 user in discussion

Felipe Pieretti Umpierre: 1 post

People

Translate

site design / logo © 2021 Grokbase